Загрузка...

Как установить моды на The long dark 1.56 и ниже

Подробно расскажу как устанавливать и где скачивать моды, на игру The long dark для версий 1.56 и ниже

  • Alt

Данная статья написана для версий 1.56 и ниже. Инструкция по установке модов, на актуальную версию The long dark, представлена на этой странице

Существует два способа установки модов: ручной и автоматический. При ручной установке Вы самостоятельно скачиваете необходимый мод, копируете его в соответствующую папку и, после загрузки, игра его подключит. При автоматической установке Вам понадобится установить только один файл который и будет отвечать за всю дальнейшую работу с модами.

Преимущества автоматического варианта:

  • поиск и скачивание существующих модов осуществляется автоматически;
  • установка и удаление модов сводится к нажатию одной кнопки;
  • при необходимости, дополнительные библиотеки (требуемые для работы модов), будут установлены автоматически;
  • поиск обновлений также автоматизирован.

Недостатки автоматического варианта:

  • интерфейс, описание модов и все подсказки написаны на английском языке и, на первых порах, сложно будет понять за что отвечает тот или иной мод;
  • данный метод поддерживает не все известные моды, хотя и работает с большинством из них.

Теперь переходим непосредственно к сути вопроса.

Независимо от выбранного способа, Вам необходимо будет установить Java 8. Актуальную версию можно скачать с официального сайта.

Далее необходимо будет пропатчить одну из библиотек игры.

Для этого скачайте последнюю версию (1.5.1) файла ModLoaderInstaller.jar и запустите его (скачать тот же файл в архиве). Проверяйте соответствие патча с, установленной у Вас, версией игры. Данная сборка предназначена для версий начиная с 1.48 до 1.56 (она указывается в первой строке загрузочного окна). Если Вы используете более раннюю версию игры - необходимо будет найти соответствующую ей версию патча. Проще всего это сделать - перейти на страничку разработчика и найти там нужный файл.

Открыв файл патча, укажите расположение запускающего файла игры - tld.exe (относительно него, программа сама найдет нужную библиотеку) и нажмите Patch.

Патч библиотеки the long dark для работы модов

Когда все изменения будут внесены название кнопки изменится на Unpatch, а статус файла изменится на Valid patched.

Патч библиотеки the long dark прошел успешно

С этого момента начинаются различия в действиях, в зависимости от выбранного способа установки модов.

Ручной режим

При ручном режиме Вы самостоятельно находите нужный мод и скачиваете его (описания модов можно посмотреть здесь).

Для работы некоторых модов необходимы дополнительные библиотеки, такие как: Asset Loader, Mod Component и Mod Settings.

В основном каталоге игры необходимо будет создать папку с именем mods. (Где лежат файлы игры, купленной в Steam, можно прочитать на этой страничке.)

Папка mosd в основном каталоге игры The long dark

Скаченный мод скорее всего будет находиться в архиве, соответственно, его необходимо будет разархивировать и поместить содержимое архива в созданную папку mods. Не забывайте проверять соответствие версий, чтобы скаченные моды были предназначены для той версии игры, которая у Вас установлена. После этого можно запускать игру и наслаждаться новым функционалом.

Для корректной работы некоторых модов необходимо будет начинать новую игру.

Чтобы удалить мод необходимо убрать, из папки mods, соответствующие ему файлы. Когда установлено много модов, сложно вспомнить какие из файлов за что отвечают. В этом случае могу порекомендовать скачать необходимый мод еще раз, посмотреть из каких файлов он состоит и удалить их из папки mods.

Автоматический режим

При автоматическом режиме программа самостоятельно найдет имеющиеся моды, скачает и установит те из них, которые Вы выберите. Для этого необходимо скачать актуальную версию установщика модов (mod-installer-0.7.3.jar), поместить его в главную папку игры и запустить (скачать тот же файл в архиве). Более ранние версии можно найти на странице разработчика. (Где находятся файлы игры, купленной в Steam, можно прочитать здесь.)

Файл редактора модов для игры The long dark

Интерфейс программы выполнен на английском языке поэтому я кратко опишу что и как работает.

После загрузки нажмите кнопку Refresh Sources, расположенную в левом верхнем углу, чтобы обновить данные по всем имеющимся модам. В первой колонке указывается название мода, во второй - имя автора, далее версия мода который установлен, следом его актуальная версия и дата последнего обновления. Когда напротив названия мода стоит значок часов это значит, что данный мод (даже в самой последней его версии) не совместим с установленной версией игры. Если мод отмечен восклицательным знаком это означает, что недавно была выпущена его обновленная версия. Соответственно, если Вы используете данный мод, имеет смысл сверить актуальную версию с установленной и, при необходимости, переустановить мод. При выборе мода, в правой части окна, появляется его краткое описание, к сожалению, оно тоже на английском. Описание модов, на русском языке, можно посмотреть на этой странице.

Окно редактора модов для игры The long dark

Установку модов, как и их удаление, необходимо осуществлять перед запуском самой игры. Для установки необходимо выбрать нужный мод и нажать на кнопку Install, в правом нижнем углу. Когда мод установлен, кнопка Install пропадет и появится кнопка Uninstall. Соответственно, чтобы удалить мод, необходимо нажать на кнопку Uninstall.

Надеюсь смог помочь. Пусть согревает Вас дух огня в холодные зимние ночи! Hi!

Рекомендуемые статьи

Комментарии

  • Alt
    Добрый день. После обновления "1.48 стойкий ренджер" от 06.05.19 моды перестали работать. При запуске mod-installer-0.7.3.jar показывает TLD Version: 1.48.1. с модами все ОК, но в игре отсутствуют настройки модов (mod setting) и ни один мод не работает. Как исправить?
    • Alt
      ср, 08/05/2019 - 11:49 ответить
      Добрый день, Наталья! Моды сейчас ни у кого не работают. Нужно немного подождать, пока разработчики адаптируют их под новое обновление. Когда моды снова будут работать я скорректирую инструкцию (если в этом будет необходимость) и опубликую пост к группе.
      • Alt
        ogg550
        сб, 30/11/2019 - 12:38 ответить
        у меня не патчица файл что делать??
        • Alt
          сб, 30/11/2019 - 12:58 ответить
          В первую очередь проверьте соответствие версий. Данная сборка предназначена для работы с версиями от 1.48 до 1.56. Если используете более ранние версии - необходимо скачать соответствующий им патч со страницы разработчика. Ссылка есть в описании.
  • Alt
    пт, 10/05/2019 - 19:14 ответить
    Инструкция адаптирована под обновление "Стойкий Рейнджер" (версии 1.48 - 1.56)
  • Alt
    BeebLoot
    сб, 22/06/2019 - 10:46 ответить
    Не запускается мод инсталер(((( просто вообще никакой реакции
    • Alt
      сб, 22/06/2019 - 13:12 ответить
      Убедитесь, что файл корректно загрузился. Попробуйте скачать его повторно, с этой страницы или у разработчика (ссылка есть в тексте). Проверьте не блокирует ли его антивирус, хотя обычно этой проблемы не возникает. Если предыдущие варианты отработаны, а программа все еще не запускается - вероятнее всего проблема связана с Java. Первое, что тут можно посоветовать - переустановить ее (ссылка на официальный сайт есть в тексте). Если обычная переустановка не решает проблему, почистите реестр перед тем как устанавливать Java.
  • Alt
    Гость
    пт, 28/06/2019 - 11:07 ответить
    День добрый. Пытался установить моды автоматическим способом, все делал по инструкции. Версии модов вроде как совместимы с игрой, устанавливаются. Но по заходу в игру обнаружил, что не один из модов не работаект. В чем может быть проблема?
    • Alt
      пт, 28/06/2019 - 15:23 ответить
      Исходя из написанного, можно предположить, что с Java у Вас проблем нет. Если не работают все моды, значит проблема носит глобальный характер - возможно некорректно пропатчилась библиотека игры. Запустите файл ModLoaderInstaller.jar и укажите ему путь к запускающему файлу игры (tld.exe). В окне должно отображаться уведомление Valid patched. Убедитесь, что Вы используете новые версии модов. Для этого, в окне универсального установщика (mod-installer-0.7.3.jar), нажмите кнопку Refresh Sources, в левом верхнем углу. Таким образом программа проверит наличие обновлений на имеющиеся моды и добавит новые, если они появились.
  • Alt
    максим
    ср, 21/08/2019 - 04:41 ответить
    случайно сменил свойства mod-installer-0.7.3.jar, теперь не могу найти с помощью какого файла в яве его запустить, не подскажешь?
    • Alt
      ср, 21/08/2019 - 11:46 ответить
      Приложение: Java (TM) Platform SE binary. Расположение: ...\Oracle\Java\javapath\java.exe
  • Alt
    Иван
    вт, 10/09/2019 - 20:51 ответить
    Не получается достать файлы из архива
    • Alt
      вт, 10/09/2019 - 21:41 ответить
      Архивы рабочие, тестировал с помощью 7-Zip и WinRAR. Попробуйте скачать незапакованную версию файла, с этой страницы или от разработчика.
  • Alt
    Иван
    вт, 10/09/2019 - 21:20 ответить
    Как запустить мод инсталер?
    • Alt
      вт, 10/09/2019 - 21:52 ответить
      Ответ на схожий вопрос уже есть выше, со ссылкой на конкретное приложение. Поместите этот файл в папку с игрой, установите Java 8 и запускайте как любое приложение - дважды щелкнув по нему мышкой.
  • Alt
    пн, 16/09/2019 - 22:59 ответить
    ModLoaderInstaller.jar обновлен до версии 1.5.1 (адаптирует библиотеки игры, позволяя ей работать с модами)
  • Alt
    вт, 22/10/2019 - 17:46 ответить
    Ввиду того, что алгоритмы игры претерпели кардинальные изменения, адаптировать имеющиеся моды к версии 1.60 (Crossroads Elegy) не представляется возможным. Если Вы хотите продолжать использовать моды, оставьте старую версию (1.56) игры. Для установки предыдущих версий игры, можно воспользоваться Капсулой времени. Следите за новостями. Я сообщу как только появится новый способ использования модов.
  • Alt
    Алекс
    чт, 14/11/2019 - 00:27 ответить
    Печаль-беда. Открыл для себя эту игру совсем недавно. И тут же оказалось, что с появлением новой версии моды стало невозможно использовать. Я прочитал обращение разработчика лоадера для модов на его страничке на реддите. И общий тон сообщения указывает, что он не собирается дальше этим заниматься. Мол, спасибо за все те годы, что вы меня поддерживали и до свиданья. Очень жалко :(
  • Alt
    вс, 12/01/2020 - 22:05 ответить
    кажется появился способ установить моды на актуальную версию 1.69 https:/ /www.nexusmods. com/thelongdark/mods/5 ещё не проверяли?
    • Alt
      вс, 12/01/2020 - 22:14 ответить
      Спасибо за информацию!
      • Alt
        вс, 12/01/2020 - 23:32 ответить
        хм, способ то появился, только вот моды теперь надо обновлять под актуальную версию ибо даже тот же ModSettings просто не отображает кнопку настроек да и вообще, кажется что всё что я устанавливал через mod installer, не работает
        • Alt
          пн, 13/01/2020 - 00:32 ответить
          Хорошо уже то, что появился человек который пытается это сделать.
  • Alt
    сб, 25/01/2020 - 11:59 ответить
    Не могу запустить ни один из .jar файлов. Java 8.41. Сделал всё что советуют в инете, путь устанавливал до java.exe(javaw.exe), приложения по умолчанию менял, даже на другом компе всё тоже самое проделывал. Ничего не работает. Либо я что то упускаю при установке, либо java или что то здесь не то сказано. Лог из Java об запуске ModLoaderInstaller.jar: CouldNotLoadArgumentException[ Could not load file/URL specified: D:\New\SteamLibrary\steamapps\common\TheLongDark\ModLoaderInstaller.jar] at com.sun.javaws.Main.launchApp(Unknown Source) at com.sun.javaws.Main.continueInSecureThread(Unknown Source) at com.sun.javaws.Main.access$000(Unknown Source) at com.sun.javaws.Main$1.run(Unknown Source) at java.lang.Thread.run(Unknown Source) Caused by: java.io.IOException: File too large at com.sun.javaws.jnl.LaunchDescFactory.buildDescriptor(Unknown Source) ... 5 more
    • Alt
      сб, 25/01/2020 - 12:00 ответить
      нормально оформил, что бы читабельнее было. Сайт смял(((
      • Alt
        сб, 25/01/2020 - 23:14 ответить
        Критику принял, замечание справедливое. Добавлю возможность форматирования текста.
    • Alt
      сб, 25/01/2020 - 22:45 ответить
      Актуальная версия Java сейчас Version 8 Update 241 (Дата выпуска 14 января 2020), хотя возможно Вы просто забыли двойку дописать. Сейчас обновил все, проверил - работает. Версию игры, Вы наверняка используете правильную - 1.56 в противном случае файл выдает другие ошибки. Были замечены проблемы, когда защита компьютера изменяла *.jar файлы, при скачивании, и они переставали работать. Для таких случаев я добавил в статью возможность скачать файлы в архиве. Попробуйте скачать файлы повторно, с этой страницы или от разработчика.
      • Alt
        сб, 25/01/2020 - 22:55 ответить
        Да, я опечатался java 8 241. Версия тоже 1.56. Почистил реестр щя, не помогло. Переустановил java. Файл из архивов юзал, не помогло(от разраба тоже). Пытался покопаться в PATH, но там всё грамотно расставлено и так, решил не трогать. Есть варик поменять диск расположения игры, что сейчас и проверну. Укажу немаловажный факт, этим летом я всё делал тоже самое и всё работало без каких либо ошибок, то есть играл с модами без проблем.
        • Alt
          сб, 25/01/2020 - 23:28 ответить
          Вспоминайте, что изменилось в работе компьютера с тех пор как у Вас все нормально работало и что, из этого, может блокировать работу java. Первым на ум приходит антивирус, но я тестировал все с Касперским и DrWeb - проблем не было.
          • Alt
            вс, 26/01/2020 - 00:13 ответить
            Перекинул на другой диск, не помогло. Антивирус отключал, тоже не помогло(никогда и не было проблем на компе с этим). Насчёт изменений, ничего существенного. Есть кое что то, что касается Java, это Android Studio(прога для разработки мобил. приложений), но лишь использует java как движок, как и эти .jar файлы. Мне кажется проблема в чём то элементарном, но я не могу вспомнить или заметить, может решиться спустя пару дней. Спасибо то, что пытаетесь помочь!
            • Alt
              вс, 26/01/2020 - 00:56 ответить
              Сейчас откатил версию игры, с использованием капсулы, времени и попробовал пропатчить библиотеки файлом ModLoaderInstaller.jar - система выдала кучу ошибок. После отключения клиента Steam, все прошло нормально. Попробуйте, может быть и Вам поможет. Еще, как вариант, можно попробовать установить отдельно версию 1.56 от сторонних умельцев и устанавливать моды уже на нее.
              • Alt
                вс, 26/01/2020 - 00:58 ответить
                Тут скорее дело в Java я же кидал лог. Он не может нормально запустить файл.
              • Alt
                пн, 27/01/2020 - 16:07 ответить
                Так, я починил, всё работает. Дело в Java. Что бы исправить это, нужно полностью очистить кэш Java(https://www.java.com/ru/download/help/plugin_cache.xml) и полностью удалить Java через Удаление программ Windows. Потом поставить снова Java и всё.
                • Alt
                  пн, 27/01/2020 - 16:10 ответить
                  Спасибо что поделились! Наверняка эта информация пригодится тем, кто столкнется с подобной проблемой.
  • Alt
    tom_gray
    чт, 20/02/2020 - 13:06 ответить
    При попытке обновления и установки модов mod-installer выдает ошибку вида: ERROR: org.springframework.web.client.ResourceAccessException: I/O error on GET request for "https://github.com/zeobviouslyfakeacc/ModSettings/releases/download/v1.5/ModSettings.dll": connect timed out; nested exception is java.net.SocketTimeoutException: connect timed out FINISHED Что может быть не так?
    • Alt
      чт, 20/02/2020 - 13:55 ответить
      Для работы некоторых модов, которым требуется меню настроек, необходимо дополнение ModSettings. Обычно инсталятор устанавливает его автоматически, в случае необходимости. Именно на это дополнение программа ругается и, соответственно, на все моды которые от него зависят. Попробуйте установить мод, который не зависит от данного приложения, например Free-Look-In-Cars. Если установится нормально, значит проблема сводится к установке одного дополнения. Его можно скачать самостоятельно и закинуть в папку mods. Адрес: https://github.com/zeobviouslyfakeacc/ModSettings/releases
      • Alt
        пт, 21/02/2020 - 06:44 ответить
        Не помогло((( Выдает: DOWNLOAD: https://github.com/WulfMarius/Free-Look-In-Cars/releases/download/3.0.1/Free-Look-In-Cars-V3.0.1.zip ERROR: org.springframework.web.client.ResourceAccessException: I/O error on GET request for "https://github.com/WulfMarius/Free-Look-In-Cars/releases/download/3.0.1/Free-Look-In-Cars-V3.0.1.zip": connect timed out; nested exception is java.net.SocketTimeoutException: connect timed out FINISHED
        • Alt
          пт, 21/02/2020 - 13:35 ответить
          Получается, что у Вас блокируется любая попытка скачивания модов. Из большой кучи причин, которые могут вызывать эту проблему, самой распространенной является система защита. Проверьте журналы антивируса и брандмауэра и убедитесь, что они пропускают данные запросы без помех. Или, на время, отключите их и повторите процедуру установки модов.
  • Alt
    пн, 02/03/2020 - 04:38 ответить
    Доброго времени суток SPIRIT OF FIRE, у меня к Вам есть множество вопросов, а именно: 1). Когда же будет совместимость модов с текущей версией игры TheLongDark ( v. 1.74 58755 Release ) ? 2). Возможно ли как-то самостоятельно отслеживать совместимость модов c желаемой версией игры ? 3.) Можно ли установить базовый мод TLD Developer Console и использовать в своих нуждах, невзирая на совместимость с версией, ведь это обычная " консоль ", или я ошибаюсь ? 4.) Есть ли актуальная версия " установщика модов " на данный момент времени ? ( 0.7.3 пробовал установить из описания в статье, выдавало ошибку. ) Пропатчить библиотеки также не получилось, скорее всего дело в версии игры. Капсулой времени пользоваться не намерен, т.к. в предыдущих версиях полно недоработок, багов, лагов и т.п. вещах.
    • Alt
      пн, 02/03/2020 - 12:27 ответить
      Добрый день! Использовать моды, в текущей версии игры, мы сможем после того, как найдется человек который сделает необходимый интерфейс. Некоторые попытки были, но дальше дело не пошло. Человек, который разработал базовые инструменты для имеющихся модов сказал, что не будет их адаптировать, для новой версии, т.к. это слишком сложно. Другой возможностью, появления модов, может являться предоставление необходимых инструментов самими разработчиками, но, в ближайшей перспективе, ожидать этого не приходится.
    • Alt
      пн, 02/03/2020 - 12:59 ответить
      В описании модов обычно пишется с какой версией игры они совместимы. Для удобства, программа установки сама отслеживает этот вопрос. Для работы любого мода, в том числе и Developer Console, необходимо, в нужный момент, перехватывать управление игрой и передавать его моду. Соответственно, без внесения изменений в базовые файлы игры ничего работать не будет. Вся информация, указанная в статье, является актуальной ничего нового, увы, нет. Какую версию игры использовать - это решать только Вам. Лично я предпочитаю старую версию игры т.к. без некоторых модов играть не комфортно (улучшенное освещение, размещение вещей, свободный обзор в машине и т.п.). Что касается багов, то в новой версии их больше чем в старой, но это мое субъективное мнение.
      • Alt
        пн, 02/03/2020 - 20:30 ответить
        Понял - принял. Ждём тогда умелых программистов, которые смогут сделать необходимый интерфейс для новой версии игры. Что касается самих разработчиков, то они говорили, что против всех дополнительных модов, кроме как локализации. ( И думается мне, что они вряд ли предоставят нужные инструменты мододелам. Надеюсь всё изменится. )
        • Alt
          пн, 02/03/2020 - 20:46 ответить
          Многочисленные обсуждения данного вопроса буквально заставили Рафаэля пообещать, что однажды они разрешат делать моды и предоставят соответствующие инструменты. Вся интрига заключается в том, когда это произойдет и смогут ли умельцы что-нибудь придумать до этого момента. В старых обсуждениях проскальзывала информация, что хинтеры откроют поддержку модов только после завершения работы над игрой т.е. она будет, но очень не скоро.
  • Alt
    MaksPax
    вт, 24/03/2020 - 19:06 ответить
    Добрый день , не работают моды на последней версии игры. Можете подсказать решение проблемы .
    • Alt
      вт, 24/03/2020 - 19:41 ответить
      Добрый день! Решения пока нет. Для версии 1.60 и выше моды работать не будут. Если хотите использовать моды, установите версию 1.56. Старые версии игры можно установить при помощи капсулы времени. Инструкция, по ее использованию, имеется на сайте.
  • Alt
    Aztek
    вт, 31/03/2020 - 14:15 ответить
    Добрый день. Воспользовался капсулой времени и откатил TLD до 1.56, без проблем пропатчил exe.-шник, но игру не запускал, сразу принялся ставить моды через ModLoader, вручную не ставил ничего. Игра запускается, надпись [Нажмите любую клавишу чтобы продолжить] мигает, после нажатия клавиши начинается загрузка, проигрывается музыка из главного меню, но загрузочный экран зависает после нескольких секунд, хоть музыка и продолжает играть и больше ничего не происходит - никакой ошибки не выдает, не вылетает, закрывается игра путём Alt+F4, пробовал удалить старые сохранения - не помогает. Какова может быть причина? Может ли ModLoader загружать из списка неподдерживаемые моды?
    • Alt
      вт, 31/03/2020 - 15:00 ответить
      Добрый день! У меня тоже несколько раз возникала такая проблема на версии 1.56, в причинах не разбирался поскольку помогала обычная перезагрузка компьютера. Вполне вероятно, что проблема связана с модами т.к. сразу после выхода версии 1.56 все работало нормально, а проблема появилась гораздо позже. В то же время массовых жалоб не наблюдалось. Предполагаю, что причина может крыться в разовом сбое на одном из промежуточных этапов. Если простые методы не сработают, пройдите всю цепочку с чистого листа и, после каждого этапа, проверяйте ее работоспособность. Полностью удалите игру (сделайте копию файлов сохранения), перезагрузите компьютер, установите игру заново и проверь нормально ли она запускается. Пропатчите библиотеки с помощью ModLoaderInstaller.jar и снова проверьте. Установите один мод и снова проверьте. Надеюсь у Вас все заработает.
  • Alt
    Даниил Волков
    пн, 04/05/2020 - 14:14 ответить
    Здравствуйте. При указании выдаёт ошибку Error с надписью Expected the file "rewired_core" at path "путь установки" but no such file was present

Оставить комментарий